%global pypi_name xvfbwrapper

Name:           python-%{pypi_name}
Version:        0.2.9
Release:        2%{?dist}
Summary:        run headless display inside X virtual framebuffer (Xvfb)

License:        MIT
URL:            https://github.com/cgoldberg/xvfbwrapper
Source0:        %pypi_source
BuildArch:      noarch
 
%global _description\
Python wrapper for running a display inside X virtual framebuffer (Xvfb)

%description %_description

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:    %summary
Requires:   xorg-x11-server-Xvfb
BuildRequires:  python%{python3_pkgversion}-devel
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.cpython*.pyc
%{python3_sitelib}/%{pypi_name}*.egg-info


%changelog
* Wed Sep 15 2021 Matthias Runge <mrunge@redhat.com> - 0.2.9-2
- add requirement to xorg-x11-server-Xvfb (rhbz#2004164)

* Fri Oct 11 2019 Thomas Andrejak <thomas.andrejak@gmail.com> - 0.2.9-1
- Initial epel8 commit
